| Home | Libraries | People | FAQ | More

##### basic_serial_port::basic_serial_port (4 of 5 overloads)

Construct a `basic_serial_port` on an existing native serial port.

    basic_serial_port(
        boost::asio::io_service & io_service,
        const native_handle_type & native_serial_port);

This constructor creates a serial port object to hold an existing native serial port.

###### Parameters

io_service

  The `io_service` object that the serial port will use to dispatch handlers for any asynchronous operations performed on the port.

native_serial_port

  A native serial port.

###### Exceptions

boost::system::system_error

  Thrown on failure.